#!/usr/bin/env python
# -*- coding: utf-8 -*-

from multiprocessing import Pool
from gc import collect

from rpy2.robjects import r
from rpy2.robjects.packages import importr


def _import_vgam_leak():
    vgam = importr('VGAM')
    del vgam

    # Explicitely clear R's memory space.
    r.rm(list=r.ls(all_names=True))
    r.gc()

    # Run garbage collector after clearing R's memory space.
    collect()


def _main():
    pool = Pool()
    while True:
        pool.apply_async(_import_vgam_leak)
        # Run garbage collector after clearing R's memory space.
        collect()
    pool.close()
    pool.join()


if __name__ == '__main__':
    _main()
