import pickle
from rpy2 import robjects

filename = 'rpy2obj'

x = robjects.r('''
               value <- list(final.seed = 1234)
               value$adapt.anchors <- c('a', 'b', 'c')
               value$simulations.extra <- list()
               value$last.simulations.idx <- c()
               value$date.created <- as.character(Sys.time())
               value
               ''')
with open(filename, 'wb') as ff:
    pickle.dump(x, ff, protocol=pickle.HIGHEST_PROTOCOL)

with open(filename, 'rb') as ff:
    y = pickle.load(ff)

itemname = 'last.simulations.idx'
itemvalue = 1234
if itemname in y.names:
    y[y.names.index(itemname)] = itemvalue
else:
    n = len(y)
    y.rx2[n + 1] = itemvalue
    y.names[n] = itemname

print(y.rx(itemname))

